Runtime

## org.eclipse.gmf.runtime.common.ui.action.ide.actions.global
Class GlobalBookmarkAction

    java.lang.Object
      AbstractActionHandler
          org.eclipse.gmf.runtime.common.ui.action.global.GlobalAction
              org.eclipse.gmf.runtime.common.ui.action.ide.actions.global.GlobalBookmarkAction

    public class GlobalBookmarkAction

extends GlobalAction

Global Bookmark Action

This action provides the mechanism for enabling the Edit->Add Bookmark... menu item.

Constructor Summary
`GlobalBookmarkAction(IWorkbenchPage workbenchPage)`
`GlobalBookmarkAction(IWorkbenchPart workbenchPart)`

Method Summary
`java.lang.String` `getActionId()` Returns the `GlobalActionId` handled by this action
`void` `init()`
`protected boolean` `isSelectionListener()`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.global.GlobalAction
`createCompositeCommand, createContext, doRun, getGlobalActionHandlerData, getObjectContextGlobalActionHandlerData, getUndoContext, getWorkbenchActionConstant, refresh`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalBookmarkAction

    public GlobalBookmarkAction(IWorkbenchPage workbenchPage)

Parameters:
  `workbenchPage` -

### GlobalBookmarkAction

    public GlobalBookmarkAction(IWorkbenchPart workbenchPart)

Parameters:
  `workbenchPart` -

Method Detail

### init

    public void init()

  Overrides:
    `init` in class `GlobalAction`

### getActionId

    public java.lang.String getActionId()

  Description copied from class: `GlobalAction`
  Returns the `GlobalActionId` handled by this action

  Specified by:
    `getActionId` in class `GlobalAction`
  Returns:
    int

### isSelectionListener

    protected boolean isSelectionListener()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.